halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | Static Protected Attributes | Friends
hal::HDF5Sequence Class Reference
Inheritance diagram for hal::HDF5Sequence:

List of all members.

## Public Member Functions
| HDF5Sequence (HDF5Genome *genome, HDF5ExternalArray *array, hal_index_t index)
| ~HDF5Sequence ()
std::string | getName () const
const Genome * | getGenome () const
Genome * | getGenome ()
hal_size_t | getStartPosition () const
hal_index_t | getArrayIndex () const
hal_size_t | getSequenceLength () const
hal_size_t | getNumTopSegments () const
hal_size_t | getNumBottomSegments () const
TopSegmentIteratorPtr | getTopSegmentIterator (hal_index_t position)
TopSegmentIteratorConstPtr | getTopSegmentIterator (hal_index_t position) const
BottomSegmentIteratorPtr | getBottomSegmentIterator (hal_index_t position)
BottomSegmentIteratorConstPtr | getBottomSegmentIterator (hal_index_t position) const
void | getString (std::string &outString) const
void | setString (const std::string &inString)
void | getSubString (std::string &outString, hal_size_t start, hal_size_t length) const
void | setSubString (const std::string &intString, hal_size_t start, hal_size_t length)
void | set (hal_size_t startPosition, const Sequence::Info &sequenceInfo)
## Static Public Member Functions
static H5::CompType | dataType (hal_size_t maxNameLength)
## Protected Attributes
HDF5ExternalArray * | _array
hal_index_t | _index
HDF5Genome * | _genome
## Static Protected Attributes
static const size_t | startOffset = 0
static const size_t | lengthOffset = sizeof(hal_size_t)
static const size_t | numTopSegmentsOffset = lengthOffset + sizeof(hal_size_t)
static const size_t | numBottomSegmentsOffset = numTopSegmentsOffset + sizeof(hal_size_t)
static const size_t | nameOffset = numBottomSegmentsOffset + sizeof(hal_size_t)
## Friends
class | HDF5SequenceIterator

## Constructor & Destructor Documentation

HDF5Sequence::HDF5Sequence | ( | HDF5Genome * | genome,
|  | HDF5ExternalArray * | array,
|  | hal_index_t | index
| ) |  |

Constructor

Parameters:

  genome | Smart pointer to genome to which segment belongs
  array | HDF5 array containg segment
  index | Index of segment in the array

HDF5Sequence::~HDF5Sequence | ( |  | ) |

Destructor

## Member Function Documentation

hal_index_t HDF5Sequence::getArrayIndex | ( |  | ) | const`[virtual]`

Get the index of the sequence in the sequence array

Implements hal::Sequence.

BottomSegmentIteratorPtr HDF5Sequence::getBottomSegmentIterator | ( | hal_index_t | position | ) | `[virtual]`

Get a bottom segment iterator

Parameters:

  position | Index in segment array of returned iterator

Implements hal::SegmentedSequence.

BottomSegmentIteratorConstPtr HDF5Sequence::getBottomSegmentIterator | ( | hal_index_t | position | ) | const`[virtual]`

Get a const bottom segment iterator

Parameters:

  position | Index in segment array of returned iterator

Implements hal::SegmentedSequence.

const Genome * HDF5Sequence::getGenome | ( |  | ) | const`[virtual]`

Get the containing (read-only) genome

Implements hal::Sequence.

Genome * HDF5Sequence::getGenome | ( |  | ) | `[virtual]`

Get the containing genome

Implements hal::Sequence.

hal_size_t HDF5Sequence::getNumBottomSegments | ( |  | ) | const`[virtual]`

Get the number of bottom segments (which form blocks with the children) in the sequence

Implements hal::SegmentedSequence.

hal_size_t HDF5Sequence::getNumTopSegments | ( |  | ) | const`[virtual]`

Get the number of top segements (which form blocks with ancestor and siblings) in the sequence

Implements hal::SegmentedSequence.

hal_size_t HDF5Sequence::getSequenceLength | ( |  | ) | const`[virtual]`

Get the total length of the DNA sequence in the sequence

Implements hal::SegmentedSequence.

hal_size_t HDF5Sequence::getStartPosition | ( |  | ) | const`[virtual]`

Get the sequence's start position in the genome

Implements hal::Sequence.

void HDF5Sequence::getString | ( | std::string & | outString | ) | const`[virtual]`

Get the character string underlying the segmented sequence

Parameters:

  outString | String object into which we copy the result

Implements hal::SegmentedSequence.

void HDF5Sequence::getSubString | ( | std::string & | outString,
|  | hal_size_t | start,
|  | hal_size_t | length
| ) |  | const`[virtual]`

Get the substring of character string underlying the segmented sequence

Parameters:

  outString | String object into which we copy the result
  start | First position of substring
  length | Length of substring

Implements hal::SegmentedSequence.

TopSegmentIteratorPtr HDF5Sequence::getTopSegmentIterator | ( | hal_index_t | position | ) | `[virtual]`

Get a top segment iterator

Parameters:

  position | Index in segment array of returned iterator

Implements hal::SegmentedSequence.

TopSegmentIteratorConstPtr HDF5Sequence::getTopSegmentIterator | ( | hal_index_t | position | ) | const`[virtual]`

Get a const top segment iterator

Parameters:

  position | Index in segment array of returned iterator

Implements hal::SegmentedSequence.

void HDF5Sequence::setString | ( | const std::string & | inString | ) | `[virtual]`

Set the character string underlying the segmented sequence

Parameters:

  inString | input string to copy

Implements hal::SegmentedSequence.

void HDF5Sequence::setSubString | ( | const std::string & | inString,
|  | hal_size_t | start,
|  | hal_size_t | length
| ) |  | `[virtual]`

Set the character string underlying the segmented sequence

Parameters:

  inString | input string to copy
  start | First position of substring
  length | Length of substring

Implements hal::SegmentedSequence.

The documentation for this class was generated from the following files:

- hdf5_impl/hdf5Sequence.h
- hdf5_impl/hdf5Genome.cpp
- hdf5_impl/hdf5MetaData.cpp
- hdf5_impl/hdf5Sequence.cpp

All Classes Namespaces Functions Variables Friends